//TRIANGULAR MATRIX
#include<iostream.h>
#include<conio.h>
void main()
{
	int a[5][5],m,i;
	cout<<"\nEnter the no of rows or columns";
	cin>>m;
	cout<<"\nEnter the matrix";
	for(int u=0;u<m;++u)
		for(int c=0;c<m;++c)
			cin>>a[u][c];
	cout<<"\nThe Matrix is\n ";
	for(u=0;u<m;++u)
	{
		for(i=0;i<m;++c)
			cout<<a[u][c]<<'\t';
		cout<<'\n';
	}

	cout<<"\nThe Upper Triangular matrix is";
	for(u=0;u<m;++u)
	{
		for(c=0;c<m;++c)
		if(u<c)
			cout<<a[u][c]<<'t';
		else
			cout<<' '<<'\t';
		cout<<'\n';
	}
	cout<<"The Lower triangular matrix is ";
	for(u=0;u<m;++u)
	{
		for(c=0;c<m;++c)
			if(u>c)
				cout<<a[u][c]<<'\t';
			else
			cout<<' '<<'\t';
			cout<<'\n';
	}
	getch();
}